# AuthSession — kittycad v0.0.5 documentation

# AuthSession

class kittycad.models.AuthSession(created_at=<kittycad.types.Unset object>, email=<kittycad.types.Unset object>, id=<kittycad.types.Unset object>, ip_address=<kittycad.types.Unset object>, is_valid=False, token=<kittycad.types.Unset object>, user_id=<kittycad.types.Unset object>)

  Bases: `object`

  Attributes Summary

  `additional_keys`

  rtype

    `List`[`str`]

  Methods Summary

  `from_dict`(src_dict)

  rtype

    ~T

  `to_dict`()

  rtype

    `Dict`[`str`, `Any`]

  Attributes Documentation

  additional_keys
    Return type

      `List`[`str`]

  Methods Documentation

  classmethod from_dict(src_dict)
    Return type

      ~T

  to_dict()
    Return type

      `Dict`[`str`, `Any`]